# Class SolidAngleUnit

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.Unit
uk.ac.starlink.ttools.plot2.layer.SolidAngleUnit

public class SolidAngleUnit extends Unit
Unit for solid angle quantities. Base unit is a square degree.

Since:
  16 Jan 2018
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SolidAngleUnit`
`ARCMIN2`
Square arcminute.
`static final SolidAngleUnit`
`ARCSEC2`
Square arcsecond.
`static final SolidAngleUnit`
`DEGREE2`
Square degree.
`static final SolidAngleUnit`
`MAS2`
Square milliarcsecond.
`static final SolidAngleUnit`
`STERADIAN`
Steradian.
`static final SolidAngleUnit`
`UAS2`
Square microarcsecond.

### Fields inherited from class Unit

`UNIT`

## Constructor Summary

Constructors
Constructor
Description
`SolidAngleUnit(String label, String textName, String symbol, AngleUnit linearAngleUnit, String description)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getExtentInSquareDegrees()`
Returns the extent of this unit in square degrees.
`static SolidAngleUnit[]`
`getKnownUnits()`
Returns an array of the defined solid angle units.

### Methods inherited from class Unit

`equals, getDescription, getExtent, getLabel, getSymbol, getTextName, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### STERADIAN

public static final SolidAngleUnit STERADIAN
Steradian.

### DEGREE2

public static final SolidAngleUnit DEGREE2
Square degree.

### ARCMIN2

public static final SolidAngleUnit ARCMIN2
Square arcminute.

### ARCSEC2

public static final SolidAngleUnit ARCSEC2
Square arcsecond.

### MAS2

public static final SolidAngleUnit MAS2
Square milliarcsecond.

### UAS2

public static final SolidAngleUnit UAS2
Square microarcsecond.

## Constructor Details

### SolidAngleUnit

public SolidAngleUnit(String label, String textName, String symbol, AngleUnit linearAngleUnit, String description)
Constructor.

Parameters:
  `label` - text to appear in a selection interface
  `textName` - text to appear in user-directed descriptive text
  `symbol` - text to appear as unit metadata, preferably compatible with the VOUnit standard
  `linearAngleUnit` - unit corresponding to the square root of this
  `description` - textual description

## Method Details

### getExtentInSquareDegrees

public double getExtentInSquareDegrees()
Returns the extent of this unit in square degrees.

Returns:
  same as extent

### getKnownUnits

public static SolidAngleUnit[] getKnownUnits()
Returns an array of the defined solid angle units.

Returns:
  list of known values